NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Display.PointCloudClippingBoxesListItemBuilder Class Reference

Represents a NXOpen.Display.PointCloudClippingBoxesListItemBuilder to create clipping regions for NXOpen.Display.PointCloud . More...

Inheritance diagram for NXOpen.Display.PointCloudClippingBoxesListItemBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ClippingSides { Inside, Outside, None }
 Specifies clipping side options used for defined clipping box. More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point ClippingEndPoint [get, set]
 Returns or sets the end point of the clipping box diagonal More...
 
unsafe
NXOpen.Display.PointCloudClippingBoxesListItemBuilder.ClippingSides 
ClippingSide [get, set]
 Returns or sets the clipping side of the defined clipping box More...
 
unsafe NXOpen.Point ClippingStartPoint [get, set]
 Returns or sets the start point of the clipping box diagonal. More...
 
unsafe NXOpen.Matrix3x3 Orientation [get]
 Returns the orientation of clipping box More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Display.PointCloudClippingBoxesListItemBuilder to create clipping regions for NXOpen.Display.PointCloud .

To create a new instance of this class, use NXOpen.Display.PointCloudBuilder.CreateClippingBoxesListItemBuilder

Created in NX11.0.0

Member Enumeration Documentation

Specifies clipping side options used for defined clipping box.

Enumerator
Inside 

inside

Outside 

outside

None 

none

Member Function Documentation

unsafe bool NXOpen.Display.PointCloudClippingBoxesListItemBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Point NXOpen.Display.PointCloudClippingBoxesListItemBuilder.ClippingEndPoint
getset

Returns or sets the end point of the clipping box diagonal

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_point_cloud_view ("NX Point Cloud Viewer")

unsafe NXOpen.Display.PointCloudClippingBoxesListItemBuilder.ClippingSides NXOpen.Display.PointCloudClippingBoxesListItemBuilder.ClippingSide
getset

Returns or sets the clipping side of the defined clipping box

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_point_cloud_view ("NX Point Cloud Viewer")

unsafe NXOpen.Point NXOpen.Display.PointCloudClippingBoxesListItemBuilder.ClippingStartPoint
getset

Returns or sets the start point of the clipping box diagonal.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_point_cloud_view ("NX Point Cloud Viewer")

unsafe NXOpen.Matrix3x3 NXOpen.Display.PointCloudClippingBoxesListItemBuilder.Orientation
get

Returns the orientation of clipping box

Created in NX12.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.